commit:     e509feaf6f5d5ba0a7a152edd758f4efaa256c49
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 15:24:22 2022 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 15:24:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e509feaf

media-libs/faad2: bump to 2.10.1

Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 media-libs/faad2/Manifest            |  1 +
 media-libs/faad2/faad2-2.10.1.ebuild | 50 ++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/media-libs/faad2/Manifest b/media-libs/faad2/Manifest
index d336c036ade5..0f2b59f0ccd5 100644
--- a/media-libs/faad2/Manifest
+++ b/media-libs/faad2/Manifest
@@ -1 +1,2 @@
 DIST faad2-2.10.0.tar.gz 803225 BLAKE2B 
73ecbcbb3fce93e8ceb88f6f7669bb681d2329935018cc2a23929cf6672959a0678b47c830cfdcf8e716709ce5252a02178737a7af09de373f7c8b54f38f3d9d
 SHA512 
92c8b5e79f85b7a7caac9e7954959c26d74ef148a658dcb37e2c1b303fc2fcc5a0d12f21e7bd476870498109bdd03916a56c13f578186a69d6eceb103222e771
+DIST faad2-2.10.1.tar.gz 803488 BLAKE2B 
f25bf9242675250b910bd5540487cf708d6e195e1ddca0b27588678e5fbf2bedf9d41e6bc607aa34bb2dbff95a8a4071e74e2f9bd9493ccb7ef040ce9bf81b4c
 SHA512 
8df69278350c68dd770c4bc482e42bc95eb04cd784eeea3f3fc58d615833c8b07dc3c72029bb7e5bfed612b7c1b8daefc9cb57be9789befb587120ef115e55b3

diff --git a/media-libs/faad2/faad2-2.10.1.ebuild 
b/media-libs/faad2/faad2-2.10.1.ebuild
new file mode 100644
index 000000000000..68078ac34d42
--- /dev/null
+++ b/media-libs/faad2/faad2-2.10.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="AAC audio decoding library"
+HOMEPAGE="https://www.audiocoding.com/faad2.html 
https://github.com/knik0/faad2/";
+SRC_URI="https://github.com/knik0/faad2/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~x86-solaris"
+IUSE="digitalradio static-libs"
+
+RDEPEND=""
+DEPEND=""
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+src_prepare() {
+       default
+
+       sed -i -e 's:iquote :I:' libfaad/Makefile.am || die
+
+       eautoreconf
+
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myconf=(
+               --without-xmms
+               $(use_with digitalradio drm)
+               $(use_enable static-libs static)
+       )
+
+       econf "${myconf[@]}"
+
+       # do not build the frontend for non default abis
+       if [ "${ABI}" != "${DEFAULT_ABI}" ] ; then
+               sed -i -e 's/frontend//' Makefile || die
+       fi
+}
+
+multilib_src_install_all() {
+       find "${ED}" -type f -name '*.la' -delete || die
+       einstalldocs
+}

Reply via email to